Get a single channel
curl --request GET \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/channels/{channelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/conversations/conversations/2026-09-beta/channels/{channelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/conversations/conversations/2026-09-beta/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channels
Retrieve channel
Retrieve details of a specific channel in the HubSpot conversations API. This endpoint is useful for accessing information about a channel using its unique identifier.
GET
/
conversations
/
conversations
/
2026-09-beta
/
channels
/
{channelId}
Get a single channel
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID of the channel.
Last modified on March 31, 2026
Was this page helpful?
⌘I